Get Accounting Point
curl --request GET \
--url https://api.engrate.io/market-access/v1alpha1/accounting-points/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market": "DE",
"market_identifier": "26611699793",
"master_data": {
"as_of": "2023-12-25",
"facts": {
"aggregation_responsibility": "grid_operator",
"balance_group": {
"kind": "eic",
"value": "46X000000000245K"
},
"connection_status": "new",
"control_area": {
"kind": "eic",
"value": "46X000000000245K"
},
"estimated_annual_consumption_kwh": 123,
"estimated_annual_production_kwh": 123,
"grid_operator": {
"kind": "de.bdew",
"value": "9903123000007"
},
"market_dimensions": {},
"metering_grid_area": {
"kind": "eic",
"value": "46X000000000245K"
},
"settlement_method": "metered",
"type": "consumption"
},
"known_at": "2023-11-07T05:31:56Z"
},
"supply_periods": [
{
"start": "2023-12-25",
"end": "2023-12-25"
}
],
"aggregate_allocations": [
{
"aggregate_allocations": [
{
"aggregator": "grid_operator",
"allocation_basis": "metered",
"area_code": "10YDE-RWENET---I",
"area_kind": "metering_grid_area",
"balance_group": "11XBILANZKREIS-X",
"external_id": "<string>",
"flow_direction": "consumption",
"market_dimensions": {
"series_type": "SLS"
},
"market_meta": {
"control_area": "10YDE-RWENET---I",
"summed_series": "Z97"
},
"supplier": "9900000000001"
}
],
"start": "2023-12-25",
"end": "2023-12-25"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Accounting points
Get Accounting Point
Read one accounting point, with its master data, supply periods and aggregate allocations.
Use as_of to read the master data for another date. Use known_at to read the data as Engrate knew it at an earlier time. See Accounting points.
Errors:
-
404: your organization is not set up for market communication, or it has no accounting point with this identifier. -
422: a parameter is not valid. For example,known_athas no time zone.
GET
/
market-access
/
v1alpha1
/
accounting-points
/
{id}
Get Accounting Point
curl --request GET \
--url https://api.engrate.io/market-access/v1alpha1/accounting-points/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.engrate.io/market-access/v1alpha1/accounting-points/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market": "DE",
"market_identifier": "26611699793",
"master_data": {
"as_of": "2023-12-25",
"facts": {
"aggregation_responsibility": "grid_operator",
"balance_group": {
"kind": "eic",
"value": "46X000000000245K"
},
"connection_status": "new",
"control_area": {
"kind": "eic",
"value": "46X000000000245K"
},
"estimated_annual_consumption_kwh": 123,
"estimated_annual_production_kwh": 123,
"grid_operator": {
"kind": "de.bdew",
"value": "9903123000007"
},
"market_dimensions": {},
"metering_grid_area": {
"kind": "eic",
"value": "46X000000000245K"
},
"settlement_method": "metered",
"type": "consumption"
},
"known_at": "2023-11-07T05:31:56Z"
},
"supply_periods": [
{
"start": "2023-12-25",
"end": "2023-12-25"
}
],
"aggregate_allocations": [
{
"aggregate_allocations": [
{
"aggregator": "grid_operator",
"allocation_basis": "metered",
"area_code": "10YDE-RWENET---I",
"area_kind": "metering_grid_area",
"balance_group": "11XBILANZKREIS-X",
"external_id": "<string>",
"flow_direction": "consumption",
"market_dimensions": {
"series_type": "SLS"
},
"market_meta": {
"control_area": "10YDE-RWENET---I",
"summed_series": "Z97"
},
"supplier": "9900000000001"
}
],
"start": "2023-12-25",
"end": "2023-12-25"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Query Parameters
Response
Successful Response
An accounting point of your organization: the point in the grid where supply can change from one supplier to another.
Was this page helpful?